aboutsummaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2017-02-02 13:36:56 -0800
committerJunio C Hamano <gitster@pobox.com>2017-02-02 13:36:56 -0800
commitf1fac407f5657ca9a8aa6d3909daa1e7e3036404 (patch)
tree8eb882998cbd6c4dff1e0468e542c50f7bee769e /t
parentce050477fbb58d02b83830597be1e87c15553071 (diff)
parentd549d21307d980aeaaca54fe540e6b726f99dca1 (diff)
downloadgit-f1fac407f5657ca9a8aa6d3909daa1e7e3036404.tar.gz
git-f1fac407f5657ca9a8aa6d3909daa1e7e3036404.tar.xz
Merge branch 'mm/reset-facl-before-umask-test'
Test tweaks for those who have default ACL in their git source tree that interfere with the umask test. * mm/reset-facl-before-umask-test: t0001: don't let a default ACL interfere with the umask test
Diffstat (limited to 't')
-rwxr-xr-xt/t0001-init.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/t/t0001-init.sh b/t/t0001-init.sh
index b8fc588b1..e424de536 100755
--- a/t/t0001-init.sh
+++ b/t/t0001-init.sh
@@ -258,6 +258,9 @@ test_expect_success POSIXPERM 'init creates a new deep directory (umask vs. shar
(
# Leading directories should honor umask while
# the repository itself should follow "shared"
+ mkdir newdir &&
+ # Remove a default ACL if possible.
+ (setfacl -k newdir 2>/dev/null || true) &&
umask 002 &&
git init --bare --shared=0660 newdir/a/b/c &&
test_path_is_dir newdir/a/b/c/refs &&